Package be.fgov.ehealth.aa.complextype.v1

# Class BaseServiceType

java.lang.Object
be.fgov.ehealth.aa.complextype.v1.BaseServiceType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class BaseServiceType extends Object implements Serializable
service, enumerated with resources that have a link with it.

Java class for BaseServiceType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BaseServiceType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attribute ref="{urn:be:fgov:ehealth:aa:complextype:v1}resourceEnumeration use="required""/>
         </extension>
       </simpleContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseServiceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getResourceEnumeration()`
  Gets the value of the resourceEnumeration property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setResourceEnumeration(String value)`
  Sets the value of the resourceEnumeration property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BaseServiceType

    public BaseServiceType()

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getResourceEnumeration

    public String getResourceEnumeration()
    Gets the value of the resourceEnumeration property.
    Returns:
      possible object is `String`

  - ### setResourceEnumeration

    public void setResourceEnumeration(String value)
    Sets the value of the resourceEnumeration property.
    Parameters:
      `value` - allowed object is `String`